function S = ids_empty_magnetics
% function S = ids_empty_magnetics
%
% File written automatically using writestruct_to_mfile.m
% writestruct_to_mfile with n=15, with ids_gen to generate empty IDS within IMAS version 3.39.0
%

S = ...
struct(...
'b_field_pol_probe',{{struct(...
'area',double(-9e+40),...
'area_error_index',int32(-999999999),...
'area_error_lower',double(-9e+40),...
'area_error_upper',double(-9e+40),...
'bandwidth_3db',double([]),...
'bandwidth_3db_error_index',int32(-999999999),...
'bandwidth_3db_error_lower',double([]),...
'bandwidth_3db_error_upper',double([]),...
'field',struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'time',double([]),...
'validity',int32(-999999999),...
'validity_timed',int32([])),...
'identifier','',...
'indices_differential',int32([]),...
'length',double(-9e+40),...
'length_error_index',int32(-999999999),...
'length_error_lower',double(-9e+40),...
'length_error_upper',double(-9e+40),...
'name','',...
'non_linear_response',struct(...
'b_field_linear',double([]),...
'b_field_linear_error_index',int32(-999999999),...
'b_field_linear_error_lower',double([]),...
'b_field_linear_error_upper',double([]),...
'b_field_non_linear',double([]),...
'b_field_non_linear_error_index',int32(-999999999),...
'b_field_non_linear_error_lower',double([]),...
'b_field_non_linear_error_upper',double([])),...
'poloidal_angle',double(-9e+40),...
'poloidal_angle_error_index',int32(-999999999),...
'poloidal_angle_error_lower',double(-9e+40),...
'poloidal_angle_error_upper',double(-9e+40),...
'position',struct(...
'phi',double(-9e+40),...
'phi_error_index',int32(-999999999),...
'phi_error_lower',double(-9e+40),...
'phi_error_upper',double(-9e+40),...
'r',double(-9e+40),...
'r_error_index',int32(-999999999),...
'r_error_lower',double(-9e+40),...
'r_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40)),...
'toroidal_angle',double(-9e+40),...
'toroidal_angle_error_index',int32(-999999999),...
'toroidal_angle_error_lower',double(-9e+40),...
'toroidal_angle_error_upper',double(-9e+40),...
'turns',int32(-999999999),...
'type',struct(...
'description','',...
'index',int32(-999999999),...
'name',''),...
'voltage',struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'time',double([]),...
'validity',int32(-999999999),...
'validity_timed',int32([])))
}},...
'b_field_tor_probe',{{struct(...
'area',double(-9e+40),...
'area_error_index',int32(-999999999),...
'area_error_lower',double(-9e+40),...
'area_error_upper',double(-9e+40),...
'bandwidth_3db',double([]),...
'bandwidth_3db_error_index',int32(-999999999),...
'bandwidth_3db_error_lower',double([]),...
'bandwidth_3db_error_upper',double([]),...
'field',struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'time',double([]),...
'validity',int32(-999999999),...
'validity_timed',int32([])),...
'identifier','',...
'indices_differential',int32([]),...
'length',double(-9e+40),...
'length_error_index',int32(-999999999),...
'length_error_lower',double(-9e+40),...
'length_error_upper',double(-9e+40),...
'name','',...
'non_linear_response',struct(...
'b_field_linear',double([]),...
'b_field_linear_error_index',int32(-999999999),...
'b_field_linear_error_lower',double([]),...
'b_field_linear_error_upper',double([]),...
'b_field_non_linear',double([]),...
'b_field_non_linear_error_index',int32(-999999999),...
'b_field_non_linear_error_lower',double([]),...
'b_field_non_linear_error_upper',double([])),...
'poloidal_angle',double(-9e+40),...
'poloidal_angle_error_index',int32(-999999999),...
'poloidal_angle_error_lower',double(-9e+40),...
'poloidal_angle_error_upper',double(-9e+40),...
'position',struct(...
'phi',double(-9e+40),...
'phi_error_index',int32(-999999999),...
'phi_error_lower',double(-9e+40),...
'phi_error_upper',double(-9e+40),...
'r',double(-9e+40),...
'r_error_index',int32(-999999999),...
'r_error_lower',double(-9e+40),...
'r_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40)),...
'toroidal_angle',double(-9e+40),...
'toroidal_angle_error_index',int32(-999999999),...
'toroidal_angle_error_lower',double(-9e+40),...
'toroidal_angle_error_upper',double(-9e+40),...
'turns',int32(-999999999),...
'type',struct(...
'description','',...
'index',int32(-999999999),...
'name',''),...
'voltage',struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'time',double([]),...
'validity',int32(-999999999),...
'validity_timed',int32([])))
}},...
'bpol_probe',{{struct(...
'area',double(-9e+40),...
'area_error_index',int32(-999999999),...
'area_error_lower',double(-9e+40),...
'area_error_upper',double(-9e+40),...
'bandwidth_3db',double([]),...
'bandwidth_3db_error_index',int32(-999999999),...
'bandwidth_3db_error_lower',double([]),...
'bandwidth_3db_error_upper',double([]),...
'field',struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'time',double([]),...
'validity',int32(-999999999),...
'validity_timed',int32([])),...
'identifier','',...
'indices_differential',int32([]),...
'length',double(-9e+40),...
'length_error_index',int32(-999999999),...
'length_error_lower',double(-9e+40),...
'length_error_upper',double(-9e+40),...
'name','',...
'non_linear_response',struct(...
'b_field_linear',double([]),...
'b_field_linear_error_index',int32(-999999999),...
'b_field_linear_error_lower',double([]),...
'b_field_linear_error_upper',double([]),...
'b_field_non_linear',double([]),...
'b_field_non_linear_error_index',int32(-999999999),...
'b_field_non_linear_error_lower',double([]),...
'b_field_non_linear_error_upper',double([])),...
'poloidal_angle',double(-9e+40),...
'poloidal_angle_error_index',int32(-999999999),...
'poloidal_angle_error_lower',double(-9e+40),...
'poloidal_angle_error_upper',double(-9e+40),...
'position',struct(...
'phi',double(-9e+40),...
'phi_error_index',int32(-999999999),...
'phi_error_lower',double(-9e+40),...
'phi_error_upper',double(-9e+40),...
'r',double(-9e+40),...
'r_error_index',int32(-999999999),...
'r_error_lower',double(-9e+40),...
'r_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40)),...
'toroidal_angle',double(-9e+40),...
'toroidal_angle_error_index',int32(-999999999),...
'toroidal_angle_error_lower',double(-9e+40),...
'toroidal_angle_error_upper',double(-9e+40),...
'turns',int32(-999999999),...
'type',struct(...
'description','',...
'index',int32(-999999999),...
'name',''),...
'voltage',struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'time',double([]),...
'validity',int32(-999999999),...
'validity_timed',int32([])))
}},...
'code',struct(...
'commit','',...
'description','',...
'library',{{struct(...
'commit','',...
'description','',...
'name','',...
'parameters','',...
'repository','',...
'version','')
}},...
'name','',...
'output_flag',int32([]),...
'parameters','',...
'repository','',...
'version',''),...
'diamagnetic_flux',{{struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'method_name','',...
'time',double([]))
}},...
'flux_loop',{{struct(...
'area',double(-9e+40),...
'area_error_index',int32(-999999999),...
'area_error_lower',double(-9e+40),...
'area_error_upper',double(-9e+40),...
'flux',struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'time',double([]),...
'validity',int32(-999999999),...
'validity_timed',int32([])),...
'gm9',double(-9e+40),...
'gm9_error_index',int32(-999999999),...
'gm9_error_lower',double(-9e+40),...
'gm9_error_upper',double(-9e+40),...
'identifier','',...
'indices_differential',int32([]),...
'name','',...
'position',{{struct(...
'phi',double(-9e+40),...
'phi_error_index',int32(-999999999),...
'phi_error_lower',double(-9e+40),...
'phi_error_upper',double(-9e+40),...
'r',double(-9e+40),...
'r_error_index',int32(-999999999),...
'r_error_lower',double(-9e+40),...
'r_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40))
}},...
'type',struct(...
'description','',...
'index',int32(-999999999),...
'name',''),...
'voltage',struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'time',double([]),...
'validity',int32(-999999999),...
'validity_timed',int32([])))
}},...
'ids_properties',struct(...
'comment','',...
'creation_date','',...
'homogeneous_time',int32(-999999999),...
'plugins',struct(...
'infrastructure_get',struct(...
'commit','',...
'description','',...
'name','',...
'repository','',...
'version',''),...
'infrastructure_put',struct(...
'commit','',...
'description','',...
'name','',...
'repository','',...
'version',''),...
'node',{{struct(...
'get_operation',{{struct(...
'commit','',...
'description','',...
'name','',...
'parameters','',...
'repository','',...
'version','')
}},...
'path','',...
'put_operation',{{struct(...
'commit','',...
'description','',...
'name','',...
'parameters','',...
'repository','',...
'version','')
}},...
'readback',{{struct(...
'commit','',...
'description','',...
'name','',...
'parameters','',...
'repository','',...
'version','')
}})
}}),...
'provenance',struct(...
'node',{{struct(...
'path','',...
'sources',{{}})
}}),...
'provider','',...
'source','',...
'version_put',struct(...
'access_layer','',...
'access_layer_language','',...
'data_dictionary','')),...
'ip',{{struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'method_name','',...
'time',double([]))
}},...
'latency',double(-9e+40),...
'latency_error_index',int32(-999999999),...
'latency_error_lower',double(-9e+40),...
'latency_error_upper',double(-9e+40),...
'method',{{struct(...
'ip',struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'time',double([])),...
'name','')
}},...
'rogowski_coil',{{struct(...
'area',double(-9e+40),...
'area_error_index',int32(-999999999),...
'area_error_lower',double(-9e+40),...
'area_error_upper',double(-9e+40),...
'current',struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'time',double([]),...
'validity',int32(-999999999),...
'validity_timed',int32([])),...
'identifier','',...
'indices_compound',int32([]),...
'measured_quantity',struct(...
'description','',...
'index',int32(-999999999),...
'name',''),...
'name','',...
'position',{{struct(...
'phi',double(-9e+40),...
'phi_error_index',int32(-999999999),...
'phi_error_lower',double(-9e+40),...
'phi_error_upper',double(-9e+40),...
'r',double(-9e+40),...
'r_error_index',int32(-999999999),...
'r_error_lower',double(-9e+40),...
'r_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40))
}},...
'turns_per_metre',double(-9e+40),...
'turns_per_metre_error_index',int32(-999999999),...
'turns_per_metre_error_lower',double(-9e+40),...
'turns_per_metre_error_upper',double(-9e+40))
}},...
'shunt',{{struct(...
'divertor_index',int32(-999999999),...
'identifier','',...
'name','',...
'position',struct(...
'first_point',struct(...
'r',double(-9e+40),...
'r_error_index',int32(-999999999),...
'r_error_lower',double(-9e+40),...
'r_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40)),...
'second_point',struct(...
'r',double(-9e+40),...
'r_error_index',int32(-999999999),...
'r_error_lower',double(-9e+40),...
'r_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40))),...
'resistance',double(-9e+40),...
'resistance_error_index',int32(-999999999),...
'resistance_error_lower',double(-9e+40),...
'resistance_error_upper',double(-9e+40),...
'target_index',int32(-999999999),...
'tile_index',int32(-999999999),...
'voltage',struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'time',double([]),...
'validity',int32(-999999999),...
'validity_timed',int32([])))
}},...
'time',double([]));
